org.keycloak.representations.idm.authorization

## Enum DecisionStrategy

- java.lang.Object
- - java.lang.Enum<DecisionStrategy>
  - - org.keycloak.representations.idm.authorization.DecisionStrategy

- All Implemented Interfaces:
    Serializable, Comparable<DecisionStrategy>

      public enum DecisionStrategy
      extends Enum<DecisionStrategy>

  The decision strategy dictates how the policies associated with a given policy are evaluated and how a final decision is obtained.
  Author:
    Pedro Igor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFFIRMATIVE` Defines that at least one policy must evaluate to a positive decision in order to the overall decision be also positive.
    `CONSENSUS` Defines that the number of positive decisions must be greater than the number of negative decisions.
    `UNANIMOUS` Defines that all policies must evaluate to a positive decision in order to the overall decision be also positive.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecisionStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecisionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFFIRMATIVE

          public static final DecisionStrategy AFFIRMATIVE

      Defines that at least one policy must evaluate to a positive decision in order to the overall decision be also positive.

    - #### UNANIMOUS

          public static final DecisionStrategy UNANIMOUS

      Defines that all policies must evaluate to a positive decision in order to the overall decision be also positive.

    - #### CONSENSUS

          public static final DecisionStrategy CONSENSUS

      Defines that the number of positive decisions must be greater than the number of negative decisions. If the number of positive and negative is the same, the final decision will be negative.

  - ### Method Detail

    - #### values

          public static DecisionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecisionStrategy c : DecisionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecisionStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.